//
//  ReportReasonsView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 21/05/2025.
//

import SwiftUI

struct ReportReasonsView: View {
    var body: some View {
        VStack {
            VStack(alignment: .leading, spacing: 16) {
                SQText("Seules les interactions ayant eu lieu sur AlloVoisins pourront être prises en compte.")
                SQRadio(title: "Sélectionner un motif :",
                        titleSize: 16,
                        options: [
                            SQRadioOption(title: "Comportement inapproprié"),
                            SQRadioOption(title: "Comportement suspect ou frauduleux"),
                            SQRadioOption(title: "Litige avec ce membre"),
                            SQRadioOption(title: "Spammeur / Démarcheur"),
                        ],
                        selectedIndex: .constant(1),
                        error: .constant(.custom("Merci de détailler votre signalement.")))
            }

            Spacer()
            SQButton("Continuer") {}
        }
        .padding(16)
        .sqNavigationBar(title: "Signaler un profil", style: .modal)
    }
}

#Preview {
    NavigationView {
        ReportReasonsView()
    }
}
